﻿

Option Explicit On


Public Class Form1

    Public V As SpeechLib.SpVoice
    Private T As SpeechLib.SpObjectToken
    Dim x As New HTTSLib.TextToSpeech


    Private Sub ShowAudioOutputs()
        On Error GoTo EH

        Dim strAudio As String
        Dim strCurrentAudio As String

        List1.Items.Clear()
        T = V.AudioOutput                   'Token for current audio output
        strCurrentAudio = T.GetDescription  'Get description from token

        'Show all available outputs; highlight the one in use

        For Each Me.T In V.GetAudioOutputs

            strAudio = T.GetDescription             'Get description from token
            If strAudio = strCurrentAudio Then
                strAudio = strAudio & " (CURRENT)"  'Show current device
            End If
            List1.Items.Add(strAudio)               'Add description to list box
        Next

EH:
        If Err.Number Then ShowErrMsg()
    End Sub

    Private Sub ShowErrMsg()

        ' Declare identifiers:
        Dim T As String

        T = "Desc: " & Err.Description & vbNewLine
        T = T & "Err #: " & Err.Number
        MsgBox(T, vbExclamation, "Run-Time Error")
        'End

    End Sub



    Public Sub Test_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button_Test.Click

        Me.Vitesse.Text = "Vitesse : " & x.Speed.ToString
        Me.Mode.Text = "ModeID : " & x.ModeID(x.Find("LanguageID=1036")).ToString
        'Me.LanguageID.Text = "Genre : " & x.LanguageID(x.Find("LanguageID=1036")).ToString
        Me.LanguageID.Text = "Genre : " & x.LanguageID(x.CurrentMode()).ToString
        Me.Nbre_Moteur.Text = "Nbre de moteur : " & x.CountEngines().ToString
        Me.MfgName.Text = "Constructeur du moteur : " & x.MfgName(x.Find("LanguageID=1036")).ToString

        Me.CurrentMode.Text = "Voix actuelle : " & x.CurrentMode().ToString
        Me.ModeName.Text = "Description voix : " & x.ModeName(x.CurrentMode().GetHashCode).ToString

        'x.Device = Audio_Device.SelectedIndex
        x.Enabled = True

        x.Speak("Bonjour et bienvenu sur IDEALE TEK")

        'MsgBox(x.LastError)
    End Sub


    Public Sub TrackBar1_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TrackBar1.ValueChanged
        x.Speed() = TrackBar1.Value
    End Sub


    Public Sub Homme_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Homme.Click
        If (Homme.Checked = True) Then
            x.Select(2)
        End If
    End Sub

    Public Sub Femme_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Femme.Click
        If (Femme.Checked = True) Then
            x.Select(1)
        End If
    End Sub

    Private Sub About_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Parametres.Click
        x.GeneralDlg(Me.Handle, "Paramètres")
    End Sub

    Private Sub Button1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles about.Click
        x.AboutDlg(Me.Handle, "Copyright du moteur")
    End Sub

    Public Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        On Error GoTo EH

        V = New SpeechLib.SpVoice


        Call ShowAudioOutputs()

EH:
        If Err.Number Then ShowErrMsg()

    End Sub


    Private Sub Command1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Command1.Click
        On Error GoTo EH

        If List1.Items.Count > -1 Then
            x.Device = List1.SelectedIndex
            V.AudioOutput = V.GetAudioOutputs().Item(List1.SelectedIndex)
            Call ShowAudioOutputs()
        End If
        'MsgBox(List1.SelectedIndex)
        'x.Device = List1.SelectedIndex
EH:
        If Err.Number Then ShowErrMsg()
    End Sub

End Class
